# Interface PfvManagerFactoryConfigInterface<R, U>

#### Type Parameters

- #### R

- #### U

#### Hierarchy

- PfvManagerFactoryConfigInterface

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:15

#####
Index

### Properties

additionalConfig
boardConfigContainer
rcsbFvContainer
rcsbFvDivId
stateManager
structureViewer

### Methods

pfvChangeCallback

## Properties

### additionalConfig

additionalConfig: undefined | RcsbFvAdditionalConfig & {
operatorChangeCallback?: ((operatorInfo: OperatorInfo) => void);
}

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:22

### boardConfigContainer

boardConfigContainer: DataContainer<Partial<RcsbFvBoardConfigInterface>>

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:20

### rcsbFvContainer

rcsbFvContainer: DataContainer<RcsbFvModulePublicInterface>

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:17

### rcsbFvDivId

rcsbFvDivId: string

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:16

### stateManager

stateManager: RcsbFvStateManager

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:18

### structureViewer

structureViewer: ViewerCallbackManagerInterface & ViewerActionManagerInterface<R>

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:19

## Methods

### pfvChangeCallback

- pfvChangeCallback(context: U): Promise<void>

- #### Parameters

  - ##### context: U

  #### Returns Promise<void>

  - Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:21

Generated using TypeDoc